define(['jquery', 'bootstrap', 'backend', 'table', 'form'], function ($, undefined, Backend, Table, Form) {

    var Controller = {
        index: function () {
            // 初始化表格参数配置
            Table.api.init({
                extend: {
                    index_url: 'family/family/index' + location.search,
                    add_url: 'family/family/add',
                    edit_url: 'family/family/edit',
                    multi_url: 'family/family/multi',
                    import_url: 'family/family/import',
                    table: 'family',
                }
            });

            var table = $("#table");

            // 初始化表格
            table.bootstrapTable({
                url: $.fn.bootstrapTable.defaults.extend.index_url,
                pk: 'id',
                sortName: 'id',
                fixedColumns: true,
                fixedRightNumber: 1,
                columns: [
                    [
                        {checkbox: true},
                        {field: 'id', title: __('Id')},
                        { field: 'create_user_id', title: __('Create_user_id'),
                            formatter: function (value,row,index) {
                                if(row.users){
                                    var html="id："+row.create_user_id + "<br/> 姓名：" + row.realname;
                                    html  = row.users.mobile?html+"<br/> 电话：" + row.users.mobile:html;
                                    return html;
                                } else {
                                    return "id：" + row.create_user_id;
                                }

                            }},
                        {field: 'family_name', title: __('Family_name')},
                        {field: 'type', align: 'center', title: __('Type'),searchList: {"1":__('Type 1'),"2":__('Type 2'),"3":__('Type 3')}, formatter: Table.api.formatter.normal},
                        {field: 'join_number', title: __('Join_number'),operate:false},
                        {field: 'genealogy', title: __('Genealogy'),operate:false,cellStyle: {css: {"max-width": "300px","white-space":"pre-line","word-wrap":"break-word","word-break":"break-all"}}},
                        {
                            field: 'MergerName', title: __('省市区街道'),
                            formatter: function (value, row, index) {
                                if (row.province && row.city && row.area && row.town) {
                                    return row.province.name + row.city.name + row.area.name + row.town.name + row.village.name;
                                } else {
                                    return row.MergerName;
                                }
                            },
                            searchList: function (column) {//重点
                                return Template('sourcetpl', {});
                            }
                        },
                        {field: 'address', title: __('Address'), operate: 'LIKE'},
                        {field: 'createtime', title: __('Createtime'), operate:'RANGE', addclass:'datetimerange', autocomplete:false, formatter: Table.api.formatter.datetime},
                        {field: 'is_sample', align: 'center', title: __('Is_sample'),searchList: {"0":__('Is_sample 0'),"1":__('Is_sample 1')}, formatter: Table.api.formatter.toggle},
                        {field: 'status', title: __('Status'), searchList: {"1":__('Status 1'),"2":__('Status 2')}, formatter: Table.api.formatter.status},
                        {field: 'operate', title: __('Operate'), table: table, events: Table.api.events.operate, formatter: Table.api.formatter.operate}
                    ]
                ]
            });

            $(function () {
                $('#area-select').parent('div').parent('div').removeClass("col-sm-6 col-md-4 col-lg-3");
                $('#area-select').parent('div').parent('div').addClass("col-sm-12 col-md-8 col-lg-5");
                //console.log($('#area-select').parent('div').parent('div'));
            });

            // 为表格绑定事件
            Table.api.bindevent(table);
        },
        add: function () {
            Controller.api.bindevent();
        },
        edit: function () {
            Controller.api.bindevent();
        },
        api: {
            bindevent: function () {
                Form.api.bindevent($("form[role=form]"));
            }
        }
    };
    return Controller;
});
