define(['jquery', 'bootstrap', 'backend', 'table', 'form'], function ($, undefined, Backend, Table, Form) {

    var Controller = {
        index: function () {
            // 初始化表格参数配置
            Table.api.init({
                extend: {
                    index_url: 'family/family_people/index' + location.search,
                    add_url: 'family/family_people/add',
                    edit_url: 'family/family_people/edit',
                    /*del_url: 'family/family_people/del',
                    multi_url: 'family/family_people/multi',
                    import_url: 'family/family_people/import',*/
                    table: 'family_people',
                }
            });

            var table = $("#table");
            // 初始化表格
            table.bootstrapTable({
                url: $.fn.bootstrapTable.defaults.extend.index_url,
                pk: 'id',
                sortName: 'id',
                queryParams: function (params) { //自定义搜索条件
                    var filter = params.filter ? JSON.parse(params.filter) : {}; //判断当前是否还有其他高级搜索栏的条件
                    var op = params.op ? JSON.parse(params.op) : {};  //并将搜索过滤器 转为对象方便我们追加条件
                    filter.type = Config.type;     //将透传的参数 Config.group_id，追加到搜索条件中
                    op.type = "=";  //group_id的操作方法的为 找到相等的
                    params.filter = JSON.stringify(filter); //将搜索过滤器和操作方法 都转为JSON字符串
                    params.op = JSON.stringify(op);
                    return params;
                },
                columns: [
                    [
                        {checkbox: true},
                        {field: 'id', title: __('Id')},
                        {field: 'number', title: __('Number'), operate: 'LIKE'},
                        { field: 'user_id', title: __('User_id'),
                            formatter: function (value,row,index) {
                                if(row.users){
                                    var html="id："+row.user_id + "<br/> 昵称：" + row.users.nickname;
                                    html  = row.users.mobile?html+"<br/> 电话：" + row.users.mobile:html;
                                    return html;
                                }

                            },visible:Config.type=="2?addtabs=1"?false:true},
                        {field: 'name', title: __('Name'), operate: 'LIKE'},
                        {field: 'photo', title: __('Photo'), operate: false, events: Table.api.events.image, formatter: Table.api.formatter.image},
                        {field: 'sex', title: __('Sex'), searchList: {"0":__('Sex 0'),"1":__('Sex 1'),"2":__('Sex 2')}, formatter: Table.api.formatter.normal},
                        {field: 'identity_card', title: __('Identity_card'), operate: 'LIKE',visible:Config.type=="2?addtabs=1"?false:true},
                        {field: 'ext0', title: __('Ext0'), searchList: {"0":__('Ext0 0'),"1":__('Ext0 1'),"2":__('Ext0 2')}, formatter: Table.api.formatter.normal,visible:Config.type=="2?addtabs=1"?false:true},
                        {field: 'ext1', title: __('Ext1'), operate: 'LIKE'},
                        {field: 'ext2', title: __('Ext2'), operate: 'LIKE'},
                        /*{field: 'ext4', title: __('Ext4')},*/
                        {field: 'ext5', title: __('Ext5'),visible:Config.type=="2?addtabs=1"?false:true},
                        {field: 'createtime', title: __('Createtime'), operate:'RANGE', addclass:'datetimerange', autocomplete:false, formatter: Table.api.formatter.datetime},
                        {field: 'address', title: __('Address'), operate: 'LIKE'},
                        {field: 'audit', title: __('Audit'), searchList: {"0":__('Audit 0'),"1":__('Audit 1'),"2":__('Audit 2')}, formatter: Table.api.formatter.normal},
                        {field: 'status', align: 'center', title: __('Status'),searchList: {"0":__('Status 0'),"1":__('Status 1')}, formatter: Table.api.formatter.toggle},
                        {field: 'is_pay', title: __('Is_pay'), searchList: {"0":__('Is_pay 0'),"1":__('Is_pay 1')}, formatter: Table.api.formatter.normal,visible:Config.type=="2?addtabs=1"?false:true},
                        {field: 'operate', title: __('Operate'), table: table,
                            buttons: [
                                {
                                    name: 'edit',
                                    text: __('修改'),
                                    title: __('修改'),
                                    classname: 'btn btn-xs btn-success btn-editone',
                                    url:function (row) {
                                        return 'family/family_people/edit';
                                    },
                                    visible:function(row){   //控制按钮隐藏方法 判断表格数据是否满足要求，然后隐藏或显示
                                        console.log(row);
                                        return row.type==2?true:false;
                                    }
                                },
                                {
                                    name: 'details',
                                    text: __('详情'),
                                    title: __('详情'),
                                    classname: 'btn btn-xs btn-warning btn-dialog',
                                    url:function (row) {
                                        return 'family/family_tree/details?people_id='+row.id;
                                    },
                                },
                                {
                                    name: 'audit',
                                    text: __('审核'),
                                    title: __('审核'),
                                    classname: 'btn btn-xs btn-danger btn-dialog',
                                    url: 'family/family_people/audit'
                                },
                            ],
                            events: Table.api.events.operate, formatter: Table.api.formatter.operate}
                    ]
                ]
            });

            // 为表格绑定事件
            Table.api.bindevent(table);
        },
        add: function () {
            Controller.api.bindevent();
        },
        edit: function () {
            Controller.api.bindevent();
        },
        audit:function(){
            $(".btn-dialog").data("success", function(){
                parent.window.$(".btn-refresh").trigger("click");
            });
            Controller.api.bindevent();
        },
        api: {
            bindevent: function () {
                Form.api.bindevent($("form[role=form]"));
            }
        }
    };
    return Controller;
});