define(['jquery', 'bootstrap', 'backend', 'table', 'form'], function ($, undefined, Backend, Table, Form) {

    var Controller = {
        index: function () {
            // 初始化表格参数配置
            Table.api.init({
                extend: {
                    index_url: 'family/family_tree/index' + location.search,
                    add_url: 'family/family_tree/add',
                    edit_url: 'family/family_tree/edit',
                    //del_url: 'family/family_tree/del',
                    multi_url: 'family/family_tree/multi',
                    import_url: 'family/family_tree/import',
                    table: 'family_tree',
                }
            });

            var table = $("#table");

            // 初始化表格
            table.bootstrapTable({
                url: $.fn.bootstrapTable.defaults.extend.index_url,
                pk: 'id',
                sortName: 'id',
                columns: [
                    [
                        {checkbox: true},
                        {field: 'id', title: __('Id')},
                        {field: 'family_id', title: __('Family_id'),
                            formatter: function (value,row,index) {
                                if(row.family){
                                    var html="id："+row.family_id + "<br/> 姓氏：" + row.family.family_name;
                                    return html;
                                } else {
                                    return "id：" + row.family_id;
                                }

                            }},

                        {field: 'name', title: __('Name'), operate: 'LIKE'},
                        {field: 'photo', title: __('Photo'), operate: false, events: Table.api.events.image, formatter: Table.api.formatter.image},
                        {field: 'sex', title: __('Sex'), searchList: {"0":__('Sex 0'),"1":__('Sex 1'),"2":__('Sex 2')}, formatter: Table.api.formatter.normal},
                        {field: 'parent_id', title: __('Parent_id'),
                            formatter: function (value,row,index) {
                                if(row.parent){
                                    var html="id："+row.parent.id + "<br/> 父：" + row.parent.name;
                                    return html;
                                }

                            }},

                        {field: 'identity_card', title: __('Identity_card'), operate: 'LIKE'},
                        {field: 'people_id', title: __('族员ID'), operate: 'LIKE'},
                        {field: 'createtime', title: __('Createtime'), operate:'RANGE', addclass:'datetimerange', autocomplete:false, formatter: Table.api.formatter.datetime},
                        {field: 'status', title: __('Status'), searchList: {"1":__('Status 1'),"2":__('Status 2')}, formatter: Table.api.formatter.status},
                        { field: 'create_user_id', title: __('Create_user_id'),
                            formatter: function (value,row,index) {
                                if(row.users){
                                    var html="id："+row.create_user_id + "<br/> 昵称：" + row.users.nickname;
                                    html  = row.users.mobile?html+"<br/> 电话：" + row.users.mobile:html;
                                    return html;
                                }

                            }},
                        {field: 'operate', title: __('Operate'), table: table,
                            buttons: [
                                {
                                    name: 'details',
                                    text: __('详情'),
                                    title: __('详情'),
                                    classname: 'btn btn-xs btn-warning btn-dialog',
                                    url:function (row) {
                                        return 'family/family_tree/details?people_id='+row.people_id;
                                    },
                                },
                                {
                                    name: 'add',
                                    text: __('添加父辈'),
                                    title: __('添加父辈'),
                                    classname: 'btn btn-xs btn-info btn-dialog',
                                    url:function (row) {
                                        return 'family/family_tree/add?type=1&parent_id='+row.id;
                                    },
                                    /*visible:function(row){   //控制按钮隐藏方法 判断表格数据是否满足要求，然后隐藏或显示
                                        return row.sex==1?true:false;
                                    }*/
                                },
                                {
                                    name: 'add',
                                    text: __('添加子辈'),
                                    title: __('添加子辈'),
                                    classname: 'btn btn-xs btn-info btn-dialog',
                                    url:function (row) {
                                        return 'family/family_tree/add?type=2&parent_id='+row.id;
                                    },
                                    /*visible:function(row){   //控制按钮隐藏方法 判断表格数据是否满足要求，然后隐藏或显示
                                        return row.sex==1?true:false;
                                    }*/
                                },
                                {
                                    name: 'add',
                                    text: __('添加配偶'),
                                    title: __('添加配偶'),
                                    extend:'data-area=["1260px","760px"]',
                                    classname: 'btn btn-xs btn-success btn-dialog',
                                    url:function (row) {
                                        return 'family/family_tree_mate/index?family_tree_id='+row.id;
                                    },
                                    /*visible:function(row){   //控制按钮隐藏方法 判断表格数据是否满足要求，然后隐藏或显示
                                        return row.sex==1?true:false;
                                    }*/
                                },
                            ],
                            events: Table.api.events.operate, formatter: Table.api.formatter.operate}
                    ]
                ]
            });

            // 为表格绑定事件
            Table.api.bindevent(table);
        },
        add: function () {
            Controller.api.getPeople([]);
            Controller.api.bindevent();
        },
        edit: function () {
            Controller.api.getPeople([]);
            Controller.api.bindevent();
        },
        api: {
            getPeople:function(data){
                $("input[name='row[people_id]']").on("change",function () {
                    var people_id=$("input[name='row[people_id]']").val();
                    $.ajax({
                        type:'POST',
                        data:{'id':people_id},
                        url:'family/family_people/getPeople',
                        success:function (res) {
                            if(res.data){
                                var data=res.data;
                                $("#c-name").val(data.name);
                                $("#c-identity_card").val(data.identity_card);
                                $("#c-photo").val(data.photo);
                                $("#c-ext1").val(data.ext1);
                                $("#c-ext2").val(data.ext2);
                                $("#c-ext3").val(data.ext3);
                                $("#c-ext4").val(data.ext4);
                                $("#c-ext5").val(data.ext5);
                                /*$("input[name='row[province_id]']").val(data.province_id);
                                $("input[name='row[city_id]']").val(data.city_id);
                                $("input[name='row[area_id]']").val(data.area_id);
                                $("input[name='row[town_id]']").val(data.town_id);
                                $("input[name='row[village_id]']").val(data.village_id);*/
                                $("#c-address").val(data.address);

                            }

                            console.log(res);
                        }
                    });
                });
            },
            bindevent: function () {
                Form.api.bindevent($("form[role=form]"));
            }
        }
    };
    return Controller;
});