define(['jquery', 'bootstrap', 'backend', 'table', 'form'], function ($, undefined, Backend, Table, Form) {

    var Controller = {
        index: function () {
            // 初始化表格参数配置
            Table.api.init({
                extend: {
                    index_url: 'family/family_tree_mate/index' + location.search,
                    add_url: 'family/family_tree/add?type=3&parent_id=' + Config.family_tree_id,
                    edit_url: 'family/family_tree/edit?type=3',
                    del_url: 'family/family_tree_mate/del?family_tree_id=' + Config.family_tree_id,
                    multi_url: 'family/family_tree_mate/multi',
                    import_url: 'family/family_tree_mate/import',
                    table: 'family_tree_mate',
                }
            });

            var table = $("#table");

            // 初始化表格
            table.bootstrapTable({
                url: $.fn.bootstrapTable.defaults.extend.index_url,
                pk: 'id',
                sortName: 'id',
                columns: [
                    [
                        {checkbox: true},
                        {field: 'id', title: __('Id')},
                        {field: 'mother_tree_id', title: __('Mother_tree_id')},
                        {field: 'name', title: __('Name'), operate: 'LIKE'},
                        {field: 'photo', title: __('Photo'), operate: false, events: Table.api.events.image, formatter: Table.api.formatter.image},
                        {field: 'sex', title: __('Sex'), searchList: {"0":__('Sex 0'),"1":__('Sex 1'),"2":__('Sex 2')}, formatter: Table.api.formatter.normal},
                        {field: 'identity_card', title: __('Identity_card'), operate: 'LIKE'},
                        { field: 'create_user_id', title: __('Create_user_id'),
                            formatter: function (value,row,index) {
                                if(row.users){
                                    var html="id："+row.create_user_id + "<br/> 昵称：" + row.users.nickname;
                                    html  = row.users.mobile?html+"<br/> 电话：" + row.users.mobile:html;
                                    return html;
                                }

                            }},
                        {field: 'status', title: __('Status'), searchList: {"1":__('Status 1'),"2":__('Status 2')}, formatter: Table.api.formatter.status},
                        {field: 'createtime', title: __('Createtime'), operate:'RANGE', addclass:'datetimerange', autocomplete:false, formatter: Table.api.formatter.datetime},
                        {field: 'operate', title: __('Operate'), table: table,
                            buttons: [
                                {
                                    name: 'details',
                                    text: __('详情'),
                                    title: __('详情'),
                                    classname: 'btn btn-xs btn-warning btn-dialog',
                                    url:function (row) {
                                        return 'family/family_tree/details?people_id=' + row.people_id;
                                    },
                                },
                            ],
                            events: Table.api.events.operate, formatter: Table.api.formatter.operate}
                    ]
                ]
            });

            // 为表格绑定事件
            Table.api.bindevent(table);
        },
        add: function () {
            Controller.api.bindevent();
        },
        edit: function () {
            Controller.api.bindevent();
        },
        api: {
            bindevent: function () {
                Form.api.bindevent($("form[role=form]"));
            }
        }
    };
    return Controller;
});