define(['jquery', 'bootstrap', 'backend', 'table', 'form'], function ($, undefined, Backend, Table, Form) {

    var Controller = {
        index: function () {
            // 初始化表格参数配置
            Table.api.init({
                extend: {
                    index_url: 'family/surname/index' + location.search,
                    add_url: 'family/surname/add',
                    edit_url: 'family/surname/edit',
                    del_url: 'family/surname/del',
                    multi_url: 'family/surname/multi',
                    import_url: 'family/surname/import',
                    table: 'surname',
                }
            });

            var table = $("#table");

            // 初始化表格
            table.bootstrapTable({
                url: $.fn.bootstrapTable.defaults.extend.index_url,
                pk: 'ID',
                sortName: 'ID',
                fixedColumns: true,
                fixedRightNumber: 1,
                columns: [
                    [
                        {checkbox: true},
                        {field: 'ID', title: __('ID')},
                        {field: 'Surname', title: __('Surname'), operate: 'LIKE'},
                        {field: 'SpellCode', title: __('SpellCode')},
                        {field: 'EnglishName', title: __('EnglishName')},
                        {field: 'EnglishAbb', title: __('EnglishAbb')},
                        {field: 'operate', title: __('Operate'), table: table, events: Table.api.events.operate, formatter: Table.api.formatter.operate}
                    ]
                ]
            });

            // 为表格绑定事件
            Table.api.bindevent(table);
        },
        add: function () {
            Controller.api.bindevent();
        },
        edit: function () {
            Controller.api.bindevent();
        },
        api: {
            bindevent: function () {
                Form.api.bindevent($("form[role=form]"));
            }
        }
    };
    return Controller;
});
