define(['jquery', 'bootstrap', 'backend', 'table', 'form'], function ($, undefined, Backend, Table, Form) {

    var Controller = {
        index: function () {
            // 初始化表格参数配置
            Table.api.init({
                extend: {
                    index_url: 'genealogy/genealogyarticle/index' + location.search,
                    add_url: 'genealogy/genealogyarticle/add',
                    edit_url: 'genealogy/genealogyarticle/edit',
                    del_url: 'genealogy/genealogyarticle/del',
                    multi_url: 'genealogy/genealogyarticle/multi',
                    import_url: 'genealogy/genealogyarticle/import',
                    table: 'genealogy_article',
                }
            });

            var table = $("#table");

            // 初始化表格
            table.bootstrapTable({
                url: $.fn.bootstrapTable.defaults.extend.index_url,
                pk: 'id',
                sortName: 'id',
                fixedColumns: true,
                fixedRightNumber: 1,
                columns: [
                    [
                        {checkbox: true},
                        {field: 'id', title: __('Id')},
                        {field: 'title', title: __('Title'), operate: 'LIKE'},
                        {field: 'column.title', title: __('Column_id')},
                        {field: 'image_url', title: __('Image_url'), operate: false, events: Table.api.events.image,  formatter: Table.api.formatter.image},
                        {field: 'content', title: __('Content'),visible:false},
                        {field: 'user_id', title: __('User_id'),operate: false},
                        {field: 'auth_id', title: __('Auth_id'),operate: false,visible:false},
                        {field: 'upload_name', title: __('Upload_name'), operate: 'LIKE'},
                        {field: 'createtime', title: __('Createtime'), operate:'RANGE', addclass:'datetimerange', autocomplete:false, formatter: Table.api.formatter.datetime},
                        {field: 'updatetime', title: __('Updatetime'), operate:'RANGE', addclass:'datetimerange', autocomplete:false, formatter: Table.api.formatter.datetime},
                        {field: 'orderby', title: __('Orderby')},
                        {field: 'status', title: __('Status'), searchList: {"0":__('Status 0'),"1":__('Status 1')}, formatter: Table.api.formatter.status},
                        {field: 'operate', title: __('Operate'), table: table, events: Table.api.events.operate, formatter: Table.api.formatter.operate}
                    ]
                ]
            });

            // 为表格绑定事件
            Table.api.bindevent(table);
        },
        add: function () {
            Controller.api.bindevent();
        },
        edit: function () {
            Controller.api.bindevent();
        },
        api: {
            bindevent: function () {
                Form.api.bindevent($("form[role=form]"));
            }
        }
    };
    return Controller;
});
