define(['jquery', 'bootstrap', 'backend', 'table', 'form'], function ($, undefined, Backend, Table, Form) {

    var Controller = {
        index: function () {
            // 初始化表格参数配置
            Table.api.init({
                extend: {
                    index_url: 'order/paylog/index' + location.search,
                    add_url: 'order/paylog/add',
                    edit_url: 'order/paylog/edit',
                    del_url: 'order/paylog/del',
                    multi_url: 'order/paylog/multi',
                    import_url: 'order/paylog/import',
                    table: 'payment_logs',
                }
            });

            var table = $("#table");

            // 初始化表格
            table.bootstrapTable({
                url: $.fn.bootstrapTable.defaults.extend.index_url,
                pk: 'id',
                sortName: 'id',
                fixedColumns: true,
                fixedRightNumber: 1,
                columns: [
                    [
                        {checkbox: true},
                        {field: 'id', title: __('Id')},
                        { field: 'user_id', title: __('User_id'),
                            formatter: function (value,row,index) {
                                if(row.user){
                                    var html="id："+row.user.id;
                                    html  = row.user.mobile?html+"<br/> 电话：" + row.user.mobile:html;
                                    return html;
                                }
                                return "无";
                            }
                        },
                        {field: 'order_sn', title: __('Order_sn'), operate: 'LIKE'},
                        {field: 'order_id', title: __('Order_id')},
                        {field: 'need_pay', title: __('Need_pay'), operate:'BETWEEN'},
                        {field: 'order_type', title: __('Order_type'), searchList: {"recharge":__('Order_type recharge'),"goods":__('Order_type goods')}, formatter: Table.api.formatter.normal},
                        {field: 'pay_way', title: __('Pay_way'), searchList: {"money":__('Pay_way money'),"weixin":__('Pay_way weixin'),"alipay":__('Pay_way alipay')}, formatter: Table.api.formatter.normal},
                        {field: 'refund_sn', title: __('Refund_sn'), operate: 'LIKE'},
                        {field: 'status', title: __('Status'), searchList: {"-2":__('Status -2'),"1":__('Status 1'),"2":__('Status 2'),"3":__('Status 3')}, formatter: Table.api.formatter.status},
                        {field: 'createtime', title: __('Createtime'), operate:'RANGE', addclass:'datetimerange', autocomplete:false, formatter: Table.api.formatter.datetime},
                        {field: 'operate', title: __('Operate'), table: table, events: Table.api.events.operate, formatter: Table.api.formatter.operate}
                    ]
                ]
            });

            // 为表格绑定事件
            Table.api.bindevent(table);
        },
        add: function () {
            Controller.api.bindevent();
        },
        edit: function () {
            Controller.api.bindevent();
        },
        api: {
            bindevent: function () {
                Form.api.bindevent($("form[role=form]"));
            }
        }
    };
    return Controller;
});
