define(['jquery', 'bootstrap', 'backend', 'table', 'form'], function ($, undefined, Backend, Table, Form) {

    var Controller = {
        index: function () {
            // 初始化表格参数配置
            Table.api.init({
                extend: {
                    index_url: 'order/recharge/index' + location.search,
                    add_url: 'order/recharge/add',
                    edit_url: 'order/recharge/edit',
                    del_url: 'order/recharge/del',
                    multi_url: 'order/recharge/multi',
                    import_url: 'order/recharge/import',
                    table: 'recharge_order',
                }
            });

            var table = $("#table");

            // 初始化表格
            table.bootstrapTable({
                url: $.fn.bootstrapTable.defaults.extend.index_url,
                pk: 'id',
                sortName: 'id',
                fixedColumns: true,
                fixedRightNumber: 1,
                columns: [
                    [
                        {checkbox: true},
                        {field: 'id', title: __('Id')},
                        {field: 'tree_id', title: __('Tree_id'), operate: 'LIKE'},
                        { field: 'user_id', title: __('User_id'),
                            formatter: function (value,row,index) {
                                if(row.user){
                                    var html="id："+row.user.id;
                                    html  = row.user.mobile?html+"<br/> 电话：" + row.user.mobile:html;
                                    return html;
                                }
                                return "无";
                            }
                        },
                        {field: 'amount', title: __('Amount'), operate:'BETWEEN'},
                        {field: 'payamount', title: __('Payamount'), operate:'BETWEEN'},
                        {field: 'ip', title: __('Ip'), operate: 'LIKE'},
                        {field: 'memo', title: __('Memo'), operate: 'LIKE'},
                        {field: 'createtime', title: __('Createtime'), operate:'RANGE', addclass:'datetimerange', autocomplete:false, formatter: Table.api.formatter.datetime},
                        {field: 'updatetime', title: __('Updatetime'), operate:'RANGE', addclass:'datetimerange', autocomplete:false, formatter: Table.api.formatter.datetime},
                        {field: 'status', title: __('Status'), searchList: {"created":__('Created'),"paid":__('Paid'),"expired":__('Expired')}, formatter: Table.api.formatter.status},
                        {field: 'people_id', title: __('People_id')},
                        {field: 'is_certification', title: __('Is_certification'), searchList: {"0":__('Is_certification 0'),"1":__('Is_certification 1')}, formatter: Table.api.formatter.normal},
                        {field: 'operate', title: __('Operate'), table: table, events: Table.api.events.operate, formatter: Table.api.formatter.operate}
                    ]
                ]
            });

            // 为表格绑定事件
            Table.api.bindevent(table);
        },
        add: function () {
            Controller.api.bindevent();
        },
        edit: function () {
            Controller.api.bindevent();
        },
        api: {
            bindevent: function () {
                Form.api.bindevent($("form[role=form]"));
            }
        }
    };
    return Controller;
});
