/*
 * @Author: taowj 965042433@qq.com
 * @Date: 2023-07-19 17:41:25
 * @LastEditors: taowj 965042433@qq.com
 * @LastEditTime: 2023-07-29 17:09:39
 * @FilePath: \zhupu\public\assets\js\backend\user\detail\money.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
define(['jquery', 'bootstrap', 'backend', 'table', 'form'], function ($, undefined, Backend, Table, Form) {

    var Controller = {
        index: function () {
            // 初始化表格参数配置
            Table.api.init({
                extend: {
                    index_url: 'user/detail/money/index' + location.search,
                    // add_url: 'user/detail/money/add',
                    // edit_url: 'user/detail/money/edit',
                    // del_url: 'user/detail/money/del',
                    // multi_url: 'user/detail/money/multi',
                    // import_url: 'user/detail/money/import',
                    table: 'user_detail_money',
                }
            });

            var table = $("#table");

            // 初始化表格
            table.bootstrapTable({
                url: $.fn.bootstrapTable.defaults.extend.index_url,
                pk: 'id',
                sortName: 'id',
                fixedColumns: true,
                fixedRightNumber: 1,
                columns: [
                    [
                        { checkbox: true },
                        { field: 'id', title: __('Id') },
                        {
                            field: 'user_id', title: __('User_id'),
                            formatter: function (value, row, index) {
                                if (row.user) {
                                    var html = "id：" + row.user.id;
                                    html = row.user.mobile ? html + "<br/> 电话：" + row.user.mobile : html;
                                    html = row.user.username ? html + "<br/> 姓名：" + row.user.username : html;
                                    return html;
                                }
                                return "无";
                            }
                        },
                        {
                            field: 'money', title: __('Money'),
                            formatter:function(value,row,index){
                                if(row){
                                    var html=row.money;
                                    html=row.heatos==1?html:row.heatos+html;
                                    return html;
                                }
                            },
                            operate: 'BETWEEN'
                        },
                        { field: 'intro', title: __('Intro') },
                        { field: 'type', title: __('Type') },
                        { field: 'logs_id', title: __('Logs_id') },
                        { field: 'order_type', title: __('Order_type'), searchList: { "goods": __('Order_type goods'), "recharge": __('Order_type recharge') }, formatter: Table.api.formatter.normal },
                        { field: 'pay_way', title: __('Pay_way'), searchList: { "money": __('Pay_way money'), "weixin": __('Pay_way weixin'), "alipay": __('Pay_way alipay') }, formatter: Table.api.formatter.normal },
                        { field: 'order_id', title: __('Order_id'), operate: 'LIKE' },
                        { field: 'recorded_time', title: __('Recorded_time'), operate: 'RANGE', addclass: 'datetimerange', autocomplete: false },
                        { field: 'surplus_money', title: __('Surplus_money'), operate: 'BETWEEN' },
                        { field: 'admin_id', title: __('Admin_id') },
                        { field: 'create_ip', title: __('Create_ip'), operate: 'LIKE' },
                        { field: 'operate', title: __('Operate'), table: table, events: Table.api.events.operate, formatter: Table.api.formatter.operate }
                    ]
                ]
            });

            // 为表格绑定事件
            Table.api.bindevent(table);
        },
        add: function () {
            Controller.api.bindevent();
        },
        edit: function () {
            Controller.api.bindevent();
        },
        api: {
            bindevent: function () {
                Form.api.bindevent($("form[role=form]"));
            }
        }
    };
    return Controller;
});
