define(['jquery', 'bootstrap', 'backend', 'table', 'form'], function ($, undefined, Backend, Table, Form) {

    var Controller = {
        index: function () {
            // 初始化表格参数配置
            Table.api.init({
                extend: {
                    index_url: 'users/users/index' + location.search,
                    //add_url: 'users/users/add',
                    edit_url: 'users/users/edit',
                    //del_url: 'users/users/del',
                    multi_url: 'users/users/multi',
                    //import_url: 'users/users/import',
                    table: 'users',
                }
            });

            var table = $("#table");
            //当表格数据加载完成时
            table.on('load-success.bs.table', function (e, data) {
                $("#amountmoney").text(data.data.totalMoney);
                $("#amountcommission").text(data.data.totalCommission);
                $("#amountagentmoney").text(data.data.totalAgentMoney);
            });
            // 初始化表格
            table.bootstrapTable({
                url: $.fn.bootstrapTable.defaults.extend.index_url,
                pk: 'id',
                sortName: 'id',
                columns: [
                    [
                        {checkbox: true},
                        {field: 'id', title: __('Id')},
                        {field: 'mobile', title: __('Mobile'), operate: 'LIKE'},
                        {field: 'nickname', title: __('Nickname'), operate: 'LIKE'},
                        {field: 'realname', title: __('Realname'), operate: 'LIKE'},
                        {field: 'avatar', title: __('Avatar'), operate:false, events: Table.api.events.image, formatter: Table.api.formatter.image},
                        {field: 'identity_card', title: __('Identity_card'), operate: 'LIKE'},
                        {field: 'money', title: __('Money'), operate:'BETWEEN'},
                        {field: 'commission', title: __('Commission'), operate:'BETWEEN'},
                        {field: 'agent_money', title: __('Agent_money'), operate:'BETWEEN'},
                        {field: 'province', title: __('Province'), operate: false},
                        {field: 'city', title: __('City'), operate: false},
                        {field: 'sex', title: __('Sex'), searchList: {"0":__('Sex 0'),"1":__('Sex 1'),"2":__('Sex 2')}, formatter: Table.api.formatter.normal},
                        {field: 'logintime', title: __('Logintime'), operate:'RANGE', addclass:'datetimerange', autocomplete:false, formatter: Table.api.formatter.datetime},
                        /*{field: 'loginip', title: __('Loginip'), operate: false},*/
                        /*{field: 'jointime', title: __('Jointime'), operate:'RANGE', addclass:'datetimerange', autocomplete:false, formatter: Table.api.formatter.datetime},*/
                        {field: 'type', title: __('Type'), searchList: {"1":__('Type 1'),"2":__('Type 2'),"3":__('Type 3'),"4":__('Type 4')}, formatter: Table.api.formatter.normal},
                        /*{field: 'brand', title: __('Brand'), operate: 'LIKE'},
                        {field: 'platform', title: __('Platform'), operate: 'LIKE'},*/
                        {field: 'user_type', title: __('User_type'), searchList: {"wechat":__('User_type wechat'),"app":__('User_type app')}, formatter: Table.api.formatter.normal},
                        {field: 'status', title: __('Status'), searchList: {"1":__('Status 1'),"2":__('Status 2')}, formatter: Table.api.formatter.status},
                        {
                            field: 'operate',
                            title: __('Operate'),
                            table: table,
                            buttons: [
                                {
                                    name: 'editmoney',
                                    text: __('余额'),
                                    title: __('余额'),
                                    classname: 'btn btn-xs btn-warning btn-dialog',
                                    url: 'users/users/editMoney',
                                },
                                {
                                    name: 'editcommission',
                                    text: __('佣金'),
                                    title: __('佣金'),
                                    classname: 'btn btn-xs btn-warning btn-dialog',
                                    url: 'users/users/editCommission',
                                },
                                {
                                    name: 'editagentmoney',
                                    text: __('代理佣金'),
                                    title: __('代理佣金'),
                                    classname: 'btn btn-xs btn-warning btn-dialog',
                                    url: 'users/users/editAgentMoney',
                                },
                                /*{
                                    name: 'resetpaypassword',
                                    text: __('重置密码'),
                                    title: __('重置密码'),
                                    classname: 'btn btn-xs btn-warning btn-ajax',
                                    url:function (row) {
                                        return 'users/users/resetpaypassword?ids='+row.id;
                                    },
                                    confirm:function (row){
                                        return '您确定要通过吗?';
                                    },
                                    refresh:true,
                                }*/
                            ],
                            events: Table.api.events.operate,
                            formatter: Table.api.formatter.operate,
                        }
                    ]
                ]
            });

            // 为表格绑定事件
            Table.api.bindevent(table);
        },
        add: function () {
            Controller.api.bindevent();
        },
        edit: function () {
            Controller.api.bindevent();
        },
        openAgent:function(){
            Controller.api.bindevent();
        },
        editmoney:function(){
            $(".btn-dialog").data("success", function(){
                parent.window.$(".btn-refresh").trigger("click");
            });
            Controller.api.bindevent();
        },
        editcommission:function(){
            $(".btn-dialog").data("success", function(){
                parent.window.$(".btn-refresh").trigger("click");
            });
            Controller.api.bindevent();
        },
        editagentmoney:function(){
            $(".btn-dialog").data("success", function(){
                parent.window.$(".btn-refresh").trigger("click");
            });
            Controller.api.bindevent();
        },
        api: {
            bindevent: function () {
                Form.api.bindevent($("form[role=form]"));
            }
        }
    };
    return Controller;
});